Modify

Opened 8 years ago

Closed 8 years ago

#7570 closed defect (fixed)

java.lang.IllegalArgumentException when selecting a boundary relation

Reported by: AM909 Owned by: team
Priority: critical Milestone:
Component: Core Version: latest
Keywords: exception relation Cc: AM909

Description

In r5159 (latest), using mirror_downloader plugin:

  1. Choose File->"Download from OSM Mirror...". Select the "Area Around Places" tab. Search for "whittier, ca". Double-click on the line where "Class Type" is "city" to download it. The problem may or may not be related to downloading the data in this way - the main API is unavailable at this time.
  1. Open the Relation List window.
  1. Double-click the Whittier boundary relation to select it. This exception occurs:

Repository Root: http://josm.openstreetmap.de/svn
Build-Date: 2012-04-02 01:32:18
Last Changed Author: simon04
Revision: 5159
Repository UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
URL: http://josm.openstreetmap.de/svn/trunk
Last Changed Date: 2012-04-01 22:20:11 +0200 (Sun, 01 Apr 2012)
Last Changed Rev: 5159

Identification: JOSM/1.5 (5159 en)
Memory Usage: 344 MB / 742 MB (26 MB allocated, but free)
Java version: 1.6.0_31, Sun Microsystems Inc., Java HotSpot(TM) Client VM
Operating system: Windows XP
Dataset consistency test: No problems found

Plugin: PicLayer (27883)
Plugin: buildings_tools (27984)
Plugin: ext_tools (27981)
Plugin: licensechange (27964)
Plugin: measurement (27957)
Plugin: mirrored_download (28108)
Plugin: openstreetbugs (27852)
Plugin: turnrestrictions (27891)
Plugin: undelete (27852)
Plugin: waydownloader (27852)

java.lang.IllegalArgumentException

at org.openstreetmap.josm.gui.tagging.TaggingPreset$PresetType.forPrimitiveType(TaggingPreset.java:127)
at org.openstreetmap.josm.gui.tagging.TaggingPreset$PresetType.forPrimitive(TaggingPreset.java:113)
at org.openstreetmap.josm.gui.dialogs.properties.PropertiesDialog.selectionChanged(PropertiesDialog.java:956)
at org.openstreetmap.josm.data.osm.event.SelectionEventManager.fireEvents(SelectionEventManager.java:78)
at org.openstreetmap.josm.data.osm.event.SelectionEventManager.access$200(SelectionEventManager.java:20)
at org.openstreetmap.josm.data.osm.event.SelectionEventManager$1.run(SelectionEventManager.java:85)
at java.awt.event.InvocationEvent.dispatch(Unknown Source)
at java.awt.EventQueue.dispatchEventImpl(Unknown Source)
at java.awt.EventQueue.access$000(Unknown Source)
at java.awt.EventQueue$1.run(Unknown Source)
at java.awt.EventQueue$1.run(Unknown Source)
at java.security.AccessController.doPrivileged(Native Method)
at java.security.AccessControlContext$1.doIntersectionPrivilege(Unknown Source)
at java.awt.EventQueue.dispatchEvent(Unknown Source)
at java.awt.EventDispatchThread.pumpOneEventForFilters(Unknown Source)
at java.awt.EventDispatchThread.pumpEventsForFilter(Unknown Source)
at java.awt.EventDispatchThread.pumpEventsForHierarchy(Unknown Source)
at java.awt.EventDispatchThread.pumpEvents(Unknown Source)
at java.awt.EventDispatchThread.pumpEvents(Unknown Source)
at java.awt.EventDispatchThread.run(Unknown Source)

Attachments (0)

Change History (2)

comment:1 Changed 8 years ago by rickmastfan67

Priority: normalcritical

Just had the same thing happen to me, except I had this show up when using the middle button of my mouse to cycle through what's was attached to a way.

Here's a better way to duplicate this IMO:

  1. File > Download Object (Enter the following and make sure the first two boxes are checked: Way - 137153521) -- And yes, you can still download stuff directly from the main OSM server this way while it's in read-only mode.
  2. Follow AM909's step #2 above and select either of the County boundaries that were downloaded with the way to make JOSM crash.
Repository Root: http://josm.openstreetmap.de/svn
Build-Date: 2012-04-02 01:32:18
Last Changed Author: simon04
Revision: 5159
Repository UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
URL: http://josm.openstreetmap.de/svn/trunk
Last Changed Date: 2012-04-01 22:20:11 +0200 (Sun, 01 Apr 2012)
Last Changed Rev: 5159

Identification: JOSM/1.5 (5159 en)
Memory Usage: 319 MB / 2730 MB (92 MB allocated, but free)
Java version: 1.6.0_31, Sun Microsystems Inc., Java HotSpot(TM) 64-Bit Server VM
Operating system: Windows 7
Dataset consistency test: No problems found

Plugin: OpeningHoursEditor (27852)
Plugin: buildings_tools (27984)
Plugin: licensechange (27964)
Plugin: mapdust (27884)
Plugin: measurement (27957)
Plugin: mirrored_download (28108)
Plugin: openstreetbugs (27852)
Plugin: reverter (28089)
Plugin: turnrestrictions (27891)
Plugin: undelete (27852)
Plugin: utilsplugin2 (28045)

java.lang.IllegalArgumentException
	at org.openstreetmap.josm.gui.tagging.TaggingPreset$PresetType.forPrimitiveType(TaggingPreset.java:127)
	at org.openstreetmap.josm.gui.tagging.TaggingPreset$PresetType.forPrimitive(TaggingPreset.java:113)
	at org.openstreetmap.josm.gui.dialogs.properties.PropertiesDialog.selectionChanged(PropertiesDialog.java:956)
	at org.openstreetmap.josm.data.osm.event.SelectionEventManager.fireEvents(SelectionEventManager.java:78)
	at org.openstreetmap.josm.data.osm.event.SelectionEventManager.access$200(SelectionEventManager.java:20)
	at org.openstreetmap.josm.data.osm.event.SelectionEventManager$1.run(SelectionEventManager.java:85)
	at java.awt.event.InvocationEvent.dispatch(Unknown Source)
	at java.awt.EventQueue.dispatchEventImpl(Unknown Source)
	at java.awt.EventQueue.access$000(Unknown Source)
	at java.awt.EventQueue$1.run(Unknown Source)
	at java.awt.EventQueue$1.run(Unknown Source)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.security.AccessControlContext$1.doIntersectionPrivilege(Unknown Source)
	at java.awt.EventQueue.dispatchEvent(Unknown Source)
	at java.awt.EventDispatchThread.pumpOneEventForFilters(Unknown Source)
	at java.awt.EventDispatchThread.pumpEventsForFilter(Unknown Source)
	at java.awt.EventDispatchThread.pumpEventsForHierarchy(Unknown Source)
	at java.awt.EventDispatchThread.pumpEvents(Unknown Source)
	at java.awt.EventDispatchThread.pumpEvents(Unknown Source)
	at java.awt.EventDispatchThread.run(Unknown Source)

Now, this is also happening with the middle click cycle through. And even if you let go of the middle click in that cycle, the errors will start to pile up since you can't get the cycling to stop until you get all of the messages saying that JOSM has crashed to disappear (using your ESC button on the keyboard). That's why I bumped up the "Priority" to Critical.

Also, this problem doesn't exist in r5048 (the latest build before r5159 was released). Looking at the changests between the two, I would put my money on [5155] introducing this bug.

comment:2 Changed 8 years ago by simon04

Resolution: fixed
Status: newclosed

In 5160/josm:

fix #7570 - IllegalArgumentException when selecting a multipolygon

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain team.
as The resolution will be set.
The resolution will be deleted.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.